Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MetricInvalidException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hyperic.hq.common.SystemException
                      org.hyperic.hq.product.MetricInvalidException

All Implemented Interfaces:
  Serializable

    public class MetricInvalidException

extends org.hyperic.hq.common.SystemException

This exception is thrown from the translate & getValue methods in plugins when the plugin cannot map the DSN to a template which it returned from getMeasurements

See Also:
  Serialized Form

Constructor Summary
`MetricInvalidException()`
`MetricInvalidException(String s)`
`MetricInvalidException(String s, Throwable t)`
`MetricInvalidException(Throwable t)`

Method Summary
`String` | `getRemoteMessage()`
`void` | `setRemoteMessage(String remoteMessage)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricInvalidException

    public MetricInvalidException()

### MetricInvalidException

    public MetricInvalidException(String s)

### MetricInvalidException

    public MetricInvalidException(Throwable t)

### MetricInvalidException

    public MetricInvalidException(String s,
                                  Throwable t)

Method Detail

### getRemoteMessage

    public String getRemoteMessage()

### setRemoteMessage

    public void setRemoteMessage(String remoteMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.